# Interface StoreSource

public interface StoreSource
An interface for component configurations that can be serialised to XML and subsequently stored and restored to a backing store using a `StoreControlFrame`.

Version:
  $Id$
Author:
  Peter W. Draper

## Method Summary

Modifier and Type
Method
Description
`String`
`getApplicationName()`
Return a name for this application.
`String`
`getStoreName()`
Return a name for the configuration store (without any directory information).
`String`
`getTagName()`
Get a name for the top-level element associated with this configuration.
`void`
`restoreState(Element rootElement)`
Restore a previously saved configuration created by the `saveState(Element)` method.
`void`
`saveState(Element rootElement)`
Save the configuration with the given Element as the root of the document.

## Method Details

### saveState

void saveState(Element rootElement)
Save the configuration with the given Element as the root of the document.

### restoreState

void restoreState(Element rootElement)
Restore a previously saved configuration created by the `saveState(Element)` method.

### getApplicationName

String getApplicationName()
Return a name for this application. This is used to create a directory for the configuration store.

### getStoreName

String getStoreName()
Return a name for the configuration store (without any directory information).

### getTagName

String getTagName()
Get a name for the top-level element associated with this configuration.